%define majver %(echo %version | cut -d. -f1-2)

Name:          ktextaddons
Version:       1.5.4
Release:       1mamba
Summary:       KDE Frameworks text addons
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org
Source:        https://download.kde.org/stable/ktextaddons/ktextaddons-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5TextToSpeech-devel
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libkarchive-devel
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkf6-karchive-devel
BuildRequires: libkf6-kcolorscheme-devel
BuildRequires: libkf6-kcompletion-devel
BuildRequires: libkf6-kconfig-devel
BuildRequires: libkf6-kconfigwidgets-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libkf6-ki18n-devel
BuildRequires: libkf6-kio-devel
BuildRequires: libkf6-kjobwidgets-devel
BuildRequires: libkf6-kservice-devel
BuildRequires: libkf6-kwidgetsaddons-devel
BuildRequires: libkf6-solid-devel
BuildRequires: libkf6-sonnet-devel
BuildRequires: libkf6-syntax-highlighting-devel
BuildRequires: libki18n-devel
BuildRequires: libkio-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libqtkeychain-devel
BuildRequires: libqtkeychain-qt6-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsyntax-highlighting-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtmultimedia-devel
BuildRequires: qt6-qtspeech-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
KDE Frameworks 5 text addons.

%package -n lib%{name}
Group:         System/Libraries
Summary:       KDE Frameworks 5 text addons

%description -n lib%{name}
KDE Frameworks 5 text addons.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package -n lib%{name}-qt6
Group:         System/Libraries
Summary:       KDE Frameworks 6 text addons

%description -n lib%{name}-qt6
KDE Frameworks 6 text addons.
This package contains shared libraries for %{name}.

%package -n lib%{name}-qt6-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name}-qt6 = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-qt6-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build-qt5
%make

cd ..
%cmake_kf6 \
   -DQT_MAJOR_VERSION=6

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build-qt5
%makeinstall -C build

%find_lang %{name} --with-qt --with-man --with-html --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%post -n lib%{name}-qt6 -p /sbin/ldconfig
%postun -n lib%{name}-qt6 -p /sbin/ldconfig

%files -n lib%{name} -f %{name}.lang
%defattr(-,root,root)
%{_kde5_libdir}/libKF5Text*.so.*
%{_libdir}/qt5/plugins/designer/texttranslatorwidgets5.so
%{_libdir}/qt5/plugins/designer/textcustomeditor.so
%{_libdir}/qt5/plugins/kf5/translator/translator_*.so
%{_datadir}/qlogging-categories5/ktextaddons.categories
%{_datadir}/qlogging-categories5/ktextaddons.renamecategories
%doc LICENSES

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/Text*
%{_kde5_includedir}/Text*/*
%{_kde5_libdir}/libKF5Text*.so
%dir %{_libdir}/cmake/KF5Text*
%{_libdir}/cmake/KF5Text*/*.cmake

%files -n lib%{name}-qt6 -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libKF6Text*.so.*
%{_qt6_plugindir}/designer/textcustomeditor.so
%{_qt6_plugindir}/designer/texttranslatorwidgets6.so
%{_kf6_plugindir}/translator/translator_*.so
%{_datadir}/qlogging-categories6/ktextaddons.categories
%{_datadir}/qlogging-categories6/ktextaddons.renamecategories
%doc LICENSES

%files -n lib%{name}-qt6-devel
%defattr(-,root,root)
%dir %{_kf6_includedir}/Text*
%{_kf6_includedir}/Text*/*
%{_libdir}/libKF6Text*.so
%dir %{_libdir}/cmake/KF6Text*
%{_libdir}/cmake/KF6Text*/KF6Text*.cmake
%{_qt6_docdir}/KF6Text*.*

%changelog
* Wed Mar 27 2024 Automatic Build System <autodist@openmamba.org> 1.5.4-1mamba
- automatic version update by autodist

* Wed Mar 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.3-2mamba
- rebuilt with -qt6 subpackages

* Sun Jan 14 2024 Automatic Build System <autodist@openmamba.org> 1.5.3-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Fri Sep 22 2023 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Sun Sep 10 2023 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Tue Aug 08 2023 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Thu Aug 03 2023 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Mon May 22 2023 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Fri May 12 2023 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Mon May 01 2023 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Sun Apr 30 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1mamba
- package created using the webbuild interface
